#include "ConfigurationFactory2.h"

// Author: Steve Talbot

ConfigurationFactory2:: ConfigurationFactory2()
{
}

ConfigurationFactory2:: ~ConfigurationFactory2()
{
}

login_a* ConfigurationFactory2:: makeLogin(){

	return new login_2();

}

pin_a* ConfigurationFactory2:: makePin(){

	return new pin_2();

}

deposit_a* ConfigurationFactory2:: makeDeposit(){

	return new deposit_2();

}

withdraw_a* ConfigurationFactory2:: makeWithdraw(){

	return new withdraw_2();

}

balance_a* ConfigurationFactory2:: makeBalance(){

	return new balance_2();

}

prompt_for_pin_a* ConfigurationFactory2:: makePromptForPin(){

	return new prompt_for_pin_2();

}

incorrect_id_msg_a* ConfigurationFactory2:: makeIncorrectIdMsg(){

	return new incorrect_id_msg_2();

}

incorrect_pin_msg_a* ConfigurationFactory2:: makeIncorrectPinMsg(){

	return new incorrect_pin_msg_2();

}

too_many_attempts_msg_a* ConfigurationFactory2:: makeTooManyAttemptsMsg(){

	return new too_many_attempts_msg_2();

}

display_menu_a* ConfigurationFactory2:: makeDisplayMenu(){

	return new display_menu_2();

}

deactivate_msg_a* ConfigurationFactory2:: makeDeactivateMsg(){

	return new deactivate_msg_2();

}

make_withdraw_a* ConfigurationFactory2:: makeMakeWithdraw(){

	return new make_withdraw_2();

}

penalty_a* ConfigurationFactory2:: makePenalty(){

	return new penalty_2();

}

make_deposit_a* ConfigurationFactory2:: makeMakeDeposit(){

	return new make_deposit_2();

}

display_balance_a* ConfigurationFactory2:: makeDisplayBalance(){

	return new display_balance_2();

}

below_min_balance_msg_a* ConfigurationFactory2:: makeBelowMinBalance(){

	return new below_min_balance_msg_2();

}

activate_msg_a* ConfigurationFactory2:: makeActivateMsg(){

	return new activate_msg_2();

}

inactive_account_msg_a* ConfigurationFactory2:: makeInactiveAccountMsg(){

	return new inactive_account_msg_2();

}
